View Issue Details

IDProjectCategoryView StatusLast Update
0021754mantisbtmobilepublic2016-10-30 23:22
ReportervplavecAssigned Tosyncguru 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.3 
Target Version2.0.0-rc.1Fixed in Version2.0.0-rc.1 
Summary0021754: Main navigation has no action / does not expand when clicked on
Description

On smaller resolution, when main navigation menu gets shown as a button, clicking on it does not open the menu. It does nothing.

Steps To Reproduce

Make the browser smaller in size or open via small display devices (smartphone).

Tagsmodern-ui

Relationships

related to 0021715 closedsyncguru Menu and buttons missing for mid size browser window 
has duplicate 0021789 closedatrol Menu button doesn't work 
has duplicate 0021792 closedatrol Main menu doesn't work on mobile phone 
has duplicate 0021714 closedvboctor Menu doesn't work on narrow windows 
has duplicate 0021179 closeddregad Navigation menu is not showed in small screensize 

Activities

vplavec

vplavec

2016-10-05 08:16

reporter  

Main navigation menu.png (229,238 bytes)
Main navigation menu.png (229,238 bytes)
dregad

dregad

2016-10-05 11:40

developer  

dregad

dregad

2016-10-05 11:42

developer   ~0054144

With "in-between" resolutions, it looks weird (screenshot-20161005-1739.png): project selection menu and user menu displayed centered on a 2nd line, with no "report issue" button.

syncguru

syncguru

2016-10-11 23:03

developer   ~0054206

@dregard - that's the design for tablet-size screen. I added the 'report issue' button to large screens only.

syncguru

syncguru

2016-10-11 23:15

developer   ~0054207

PR: https://github.com/mantisbt/mantisbt/pull/914

dregad

dregad

2016-10-12 05:23

developer   ~0054211

that's the design for tablet-size screen. I added the 'report issue' button to large screens only.

@syncguru I'm aware it's the tablet-size view, and I'm fine with not having the button.

What I was challenging is the fact that the project selector and user menu appear 1. centered and 2. on a 2nd line; this is not consistent with display for other widths, and I would expect these to be in the top-right corner.

It's worth noting that your PR partially fixes that behavior, as the tablet-size screen now displays the hamburger and user icon in the top right and the project selector/user menu is initially hidden, just like the phone-size view.

However, IMO it would be better for tablet-size screens if we had the same display as full-width screens, i.e. directly display the project selector and user menu without using a sub-menu (but without the bug report button). Let me know if you prefer to track this in a separate issue.

dregad

dregad

2016-10-20 05:38

developer   ~0054295

The issue I mentioned in 0021754:0054211 is covered by 0021715.

Related Changesets

MantisBT: master a77e6760

2016-10-11 23:11:02

syncguru


Committer: vboctor Details Diff
Fix sidebar menu toggle button for small screens

Fixes 0021754
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2016-10-05 08:16 vplavec New Issue
2016-10-05 08:16 vplavec File Added: Main navigation menu.png
2016-10-05 08:42 atrol Status new => confirmed
2016-10-05 08:43 atrol Tag Attached: modern-ui
2016-10-05 08:43 atrol Target Version => 2.0.0-rc.1
2016-10-05 11:40 dregad File Added: screenshot-20161005-1739.png
2016-10-05 11:42 dregad Note Added: 0054144
2016-10-09 14:43 atrol Relationship added has duplicate 0021789
2016-10-10 02:01 atrol Relationship added has duplicate 0021792
2016-10-11 11:48 vboctor Assigned To => syncguru
2016-10-11 11:48 vboctor Status confirmed => assigned
2016-10-11 23:03 syncguru Note Added: 0054206
2016-10-11 23:15 syncguru Note Added: 0054207
2016-10-12 05:23 dregad Note Added: 0054211
2016-10-14 11:35 vboctor Changeset attached => MantisBT master a77e6760
2016-10-14 11:35 vboctor Assigned To syncguru => vboctor
2016-10-14 11:35 vboctor Status assigned => resolved
2016-10-14 11:35 vboctor Resolution open => fixed
2016-10-14 11:35 vboctor Fixed in Version => 2.0.0-rc.1
2016-10-14 11:35 vboctor Assigned To vboctor => syncguru
2016-10-20 05:37 dregad Relationship added has duplicate 0021714
2016-10-20 05:38 dregad Relationship added related to 0021715
2016-10-20 05:38 dregad Note Added: 0054295
2016-10-20 05:45 dregad Relationship added has duplicate 0021179
2016-10-30 03:06 vboctoradmin Category ui => mobile
2016-10-30 23:22 vboctor Status resolved => closed